| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Events | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.DllSelector Class Reference
Inheritance diagram for IG.Forms.DllSelector:
[legend]
Collaboration diagram for IG.Forms.DllSelector:
[legend]

## Public Member Functions
| DllSelector ()
Assembly[] | GetLoadedAssemblies ()
| Returns an array of all loaded assemblies. More...
Assembly[] | GetReferencedAssemblies ()
| Returns an array of all referenced assemblies. More...
void | RefreshLoadedAssembliesList ()
| Re-creates the list of loaded assemblies. More...
void | RefreshReferencedAssembliesList ()
| Re-creates the list of referenced assemblies. More...

## Protected Member Functions
virtual void | OnAssemblySelected ()
| Called whenever the selected assembly changes. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
static string | InitialTextSelectedAssembly`[get, set]`
| Initial text that is written in the textbox where loaded assembly is written. More...
static string | InitialTextLoadedList`[get, set]`
| Initial text that is written in the combobox with a list of loaded assemblies. More...
static string | InitialTextReferencedList`[get, set]`
| Initial text that is written in the combobox with a list of referenced assemblies. More...
static string | InitialTextLblFullName`[get, set]`
| Initial text that is written on the label that shows full name of the selected assembly. More...
Assembly | SelectedAssembly`[get, set]`
| Selected assembly. More...
bool | SelectFromFiles`[get, set]`
| Indicates whether assemblies can also be loaded from the file system. If false then assemblies can only be selected from the lists of loaded and / or referenced assemblies. More...
bool | SelectFromLoadedAssemblies`[get, set]`
| Indicates whether assemblies can also be selected from the list of loaded assemblies. More...
bool | SelectFromReferencedAssemblies`[get, set]`
| Indicates whether assemblies can also be selected from the list of referenced assemblies. More...
List< Assembly > | LoadedAssembliesList`[get]`
| List of all loaded assemblies. More...
List< Assembly > | ReferencedAssembliesList`[get]`
| List of all referenced assemblies. More...

## Events
EventHandler | AssemblySelected
| Event that is fired whenever the selected assembly changes. More...

## Private Member Functions
void | DllSelector_Load (object sender, EventArgs e)
| Executed when the current DLL selector control is loaded. More...
void | txtSelectedAssembly_TextChanged (object sender, EventArgs e)
void | btnRefresh_Click (object sender, EventArgs e)
void | comboLoadedAssemblies_SelectedIndexChanged (object sender, EventArgs e)
void | comboReferencedAssemblies_SelectedIndexChanged (object sender, EventArgs e)
void | fileSelector1_FileSelected (object sender, EventArgs e)
void | chkFiles_CheckedChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
Assembly | _asembly
bool | _selectFromFiles
bool | _selectFromLoadedAssemblies
bool | _selectFromReferencedAssemblies
List< Assembly > | _loadedAssembliesList = new List<Assembly>()
List< Assembly > | _referencedAssembliesList = new List<Assembly>()
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
FileSelector | fileSelector1
System.Windows.Forms.Button | btnRefresh
System.Windows.Forms.Label | lblSelectedAssembly
System.Windows.Forms.TextBox | txtSelectedAssembly
System.Windows.Forms.ComboBox | comboLoadedAssemblies
System.Windows.Forms.ComboBox | comboReferencedAssemblies
System.Windows.Forms.CheckBox | chkFiles
System.Windows.Forms.CheckBox | chkLoaded
System.Windows.Forms.CheckBox | chkReferenced
System.Windows.Forms.Label | lblAssemblyFullNameTitle
System.Windows.Forms.Label | lblFullName

## Static Private Attributes
static string | _initialTextSelectedAssembly = "<< Type assembly name or select in lists below. >>"
static string | _initialTextLoadedList = "<< Loaded assemblies >>"
static string | _initialTextReferencedList = "<< Referenced assemblies >>"
static string | _initialTextLblFullName = "<< Assembly not selected. >>"

## Constructor & Destructor Documentation

IG.Forms.DllSelector.DllSelector | ( |  | ) |
| inline

## Member Function Documentation

Assembly [] IG.Forms.DllSelector.GetLoadedAssemblies | ( |  | ) |
| inline

Returns an array of all loaded assemblies.

Assembly [] IG.Forms.DllSelector.GetReferencedAssemblies | ( |  | ) |
| inline

Returns an array of all referenced assemblies.

void IG.Forms.DllSelector.RefreshLoadedAssembliesList | ( |  | ) |
| inline

Re-creates the list of loaded assemblies.

References IG.Lib.UtilSystem.GetLoadedAssemblies().

void IG.Forms.DllSelector.RefreshReferencedAssembliesList | ( |  | ) |
| inline

Re-creates the list of referenced assemblies.

References IG.Lib.UtilSystem.GetReferencedAssemblies().

virtual void IG.Forms.DllSelector.OnAssemblySelected | ( |  | ) |
| inline protected virtual

Called whenever the selected assembly changes.

void IG.Forms.DllSelector.DllSelector_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Executed when the current DLL selector control is loaded.

void IG.Forms.DllSelector.txtSelectedAssembly_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilSystem.GetAssemblyByName().

void IG.Forms.DllSelector.btnRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DllSelector.comboLoadedAssemblies_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DllSelector.comboReferencedAssemblies_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DllSelector.fileSelector1_FileSelected | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DllSelector.chkFiles_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.DllSelector.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.DllSelector.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

string IG.Forms.DllSelector._initialTextSelectedAssembly = "<< Type assembly name or select in lists below. >>"
| static private

string IG.Forms.DllSelector._initialTextLoadedList = "<< Loaded assemblies >>"
| static private

string IG.Forms.DllSelector._initialTextReferencedList = "<< Referenced assemblies >>"
| static private

string IG.Forms.DllSelector._initialTextLblFullName = "<< Assembly not selected. >>"
| static private

Assembly IG.Forms.DllSelector._asembly
| private

bool IG.Forms.DllSelector._selectFromFiles
| private

bool IG.Forms.DllSelector._selectFromLoadedAssemblies
| private

bool IG.Forms.DllSelector._selectFromReferencedAssemblies
| private

List<Assembly> IG.Forms.DllSelector._loadedAssembliesList = new List<Assembly>()
| private

List<Assembly> IG.Forms.DllSelector._referencedAssembliesList = new List<Assembly>()
| private

System.ComponentModel.IContainer IG.Forms.DllSelector.components = null
| private

Required designer variable.

FileSelector IG.Forms.DllSelector.fileSelector1
| private

System.Windows.Forms.Button IG.Forms.DllSelector.btnRefresh
| private

System.Windows.Forms.Label IG.Forms.DllSelector.lblSelectedAssembly
| private

System.Windows.Forms.TextBox IG.Forms.DllSelector.txtSelectedAssembly
| private

System.Windows.Forms.ComboBox IG.Forms.DllSelector.comboLoadedAssemblies
| private

System.Windows.Forms.ComboBox IG.Forms.DllSelector.comboReferencedAssemblies
| private

System.Windows.Forms.CheckBox IG.Forms.DllSelector.chkFiles
| private

System.Windows.Forms.CheckBox IG.Forms.DllSelector.chkLoaded
| private

System.Windows.Forms.CheckBox IG.Forms.DllSelector.chkReferenced
| private

System.Windows.Forms.Label IG.Forms.DllSelector.lblAssemblyFullNameTitle
| private

System.Windows.Forms.Label IG.Forms.DllSelector.lblFullName
| private

## Property Documentation

string IG.Forms.DllSelector.InitialTextSelectedAssembly
| static get set

Initial text that is written in the textbox where loaded assembly is written.

string IG.Forms.DllSelector.InitialTextLoadedList
| static get set

Initial text that is written in the combobox with a list of loaded assemblies.

string IG.Forms.DllSelector.InitialTextReferencedList
| static get set

Initial text that is written in the combobox with a list of referenced assemblies.

string IG.Forms.DllSelector.InitialTextLblFullName
| static get set

Initial text that is written on the label that shows full name of the selected assembly.

Assembly IG.Forms.DllSelector.SelectedAssembly
| get set

Selected assembly.

bool IG.Forms.DllSelector.SelectFromFiles
| get set

Indicates whether assemblies can also be loaded from the file system. If false then assemblies can only be selected from the lists of loaded and / or referenced assemblies.

bool IG.Forms.DllSelector.SelectFromLoadedAssemblies
| get set

Indicates whether assemblies can also be selected from the list of loaded assemblies.

bool IG.Forms.DllSelector.SelectFromReferencedAssemblies
| get set

Indicates whether assemblies can also be selected from the list of referenced assemblies.

List<Assembly> IG.Forms.DllSelector.LoadedAssembliesList
| get protected

List of all loaded assemblies.

List<Assembly> IG.Forms.DllSelector.ReferencedAssembliesList
| get protected

List of all referenced assemblies.

## Event Documentation

EventHandler IG.Forms.DllSelector.AssemblySelected

Event that is fired whenever the selected assembly changes.

The documentation for this class was generated from the following files:

- igforms/Utilities/BasicControls/DllSelector.cs
- igforms/Utilities/BasicControls/DllSelector.Designer.cs